Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo
Class FOTreeBuilder

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.fop.fo.FOTreeBuilder

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class FOTreeBuilder
extends org.xml.sax.helpers.DefaultHandler

SAX Handler that passes parsed data to the various FO objects, where they can be used either to build an FO Tree, or used by Structure Renderers to build other data structures.

Field Summary
`protected org.xml.sax.ContentHandler` | `delegate` Current delegate ContentHandler to receive the SAX events
`protected ElementMappingRegistry` | `elementMappingRegistry` The registry for ElementMapping instances
`protected org.apache.commons.logging.Log` | `log` logging instance
`protected org.apache.fop.fo.FOTreeBuilder.MainFOHandler` | `mainFOHandler` Main DefaultHandler that handles the FO namespace.
`protected Root` | `rootFObj` The root of the formatting object tree

Constructor Summary
`FOTreeBuilder(java.lang.String outputFormat, FOUserAgent foUserAgent, java.io.OutputStream stream)` `FOTreeBuilder` constructor

Method Summary
`void` | `characters(char[] data, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String rawName)`
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`protected org.xml.sax.Locator` | `getEffectiveLocator()`
`FOEventHandler` | `getEventHandler()` Provides access to the underlying `FOEventHandler` object.
`FormattingResults` | `getResults()` Returns the results of the rendering process.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName, org.xml.sax.Attributes attlist)`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

  logging instance

### elementMappingRegistry

    protected ElementMappingRegistry elementMappingRegistry

  The registry for ElementMapping instances

### rootFObj

    protected Root rootFObj

  The root of the formatting object tree

### mainFOHandler

    protected org.apache.fop.fo.FOTreeBuilder.MainFOHandler mainFOHandler

  Main DefaultHandler that handles the FO namespace.

### delegate

    protected org.xml.sax.ContentHandler delegate

  Current delegate ContentHandler to receive the SAX events

Constructor Detail

### FOTreeBuilder

    public FOTreeBuilder(java.lang.String outputFormat,
                         FOUserAgent foUserAgent,
                         java.io.OutputStream stream)
                  throws FOPException

  `FOTreeBuilder` constructor

Parameters:
  `outputFormat` - the MIME type of the output format to use (ex. "application/pdf").
  `foUserAgent` - the `FOUserAgent` in effect for this process
  `stream` - the `OutputStream` to direct the results to
Throws:
  `FOPException` - if the `FOTreeBuilder` cannot be properly created

Method Detail

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

### getEffectiveLocator

    protected org.xml.sax.Locator getEffectiveLocator()

  Returns:
    a `Locator` instance if it is available and not disabled

### characters

    public void characters(char[] data,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String rawName,
                             org.xml.sax.Attributes attlist)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### warning

    public void warning(org.xml.sax.SAXParseException e)

### error

    public void error(org.xml.sax.SAXParseException e)

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getEventHandler

    public FOEventHandler getEventHandler()

  Provides access to the underlying `FOEventHandler` object.

  Returns:
    the FOEventHandler object

### getResults

    public FormattingResults getResults()

  Returns the results of the rendering process. Information includes the total number of pages generated and the number of pages per page-sequence.

  Returns:
    the results of the rendering process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.